# RabbitMQ Cluster Operator

This operator is designed for the lifecycle (creation, upgrade, graceful shutdown) of a RabbitMQ cluster.

A Helm chart for RabbitMQ Cluster Operator. Generated from the official yaml

![Version: 2.2.0](https://img.shields.io/badge/Version-2.2.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 2.2.0](https://img.shields.io/badge/AppVersion-2.2.0-informational?style=flat-square)

## Installing the Chart

To install the chart with the release name `my-release`:

```console
$ helm repo add alekc-charts https://charts.alekc.dev/
$ helm install my-release alekc-charts/rabbitmq-cluster-operator
```
## Usage
You can create a cluster at the installation time by setting `cluster.create` to true.

I.e.
```yaml
cluster:
  create: true
  name: "default"
  ingress:
    enabled: true
    hosts:
      - host: rabbitmq.example.com
        paths:
          - path: /
            pathType: ImplementationSpecific
  spec:
    replicas: 3
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| annotations.deployment | object | `{}` | Deployment's annotations |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| cluster.create | bool | `false` | create a new rabbitmq cluster |
| cluster.ingress.annotations | object | `{}` | ingress annotations |
| cluster.ingress.className | string | `""` |  |
| cluster.ingress.enabled | bool | `false` | Create an ingress for created cluster |
| cluster.ingress.hosts[0].host | string | `"chart-example.local"` |  |
| cluster.ingress.hosts[0].paths[0].path | string | `"/"` |  |
| cluster.ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| cluster.ingress.tls | list | `[]` |  |
| cluster.name | string | `"default"` | cluster name |
| cluster.spec | object | `{}` | cluster spec |
| crds.annotations | object | `{}` | Annotations to be added to all CRDs |
| crds.install | bool | `true` | Install and upgrade CRDs |
| crds.keep | bool | `true` | Keep CRDs on chart uninstall |
| deployment.strategy | object | `{"type":"RollingUpdate"}` | Deployment strategy |
| env | object | `{"full":[],"simple":{}}` | environment values |
| env.full | list | `[]` | full envs, they will be rendered as written here. Useful if you need to use secrets/cm |
| env.simple | object | `{}` | simple key: val based env vars |
| extraResources | list | `[]` |  |
| fullnameOverride | string | `"rabbitmq-cluster-operator"` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"rabbitmqoperator/cluster-operator"` |  |
| image.tag | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| kubernetesClusterDomain | string | `"cluster.local"` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
